> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal camera list

> Use /getMinimalCameraStateList instead



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/getMinimalList
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/getMinimalList:
    post:
      tags:
        - Camera Webservice
      summary: Get minimal camera list
      description: Use /getMinimalCameraStateList instead
      operationId: getCameraMinimalList
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_GetMinimalListWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Camera_GetMinimalListWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Camera_GetMinimalListWSRequest:
      type: object
      description: Request to retrieve a minimal list of cameras (deprecated).
      properties:
        includeMummified:
          type: boolean
          description: Whether to include mummified cameras in the response
          example: false
          nullable: true
    Camera_GetMinimalListWSResponse:
      type: object
      description: Response containing a minimal list of cameras (deprecated).
      properties:
        cameras:
          type: array
          description: List of minimal camera information
          items:
            $ref: '#/components/schemas/Camera_MinimalCameraType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Camera_MinimalCameraType:
      type: object
      description: Minimal camera information type.
      properties:
        connectionStatus:
          $ref: '#/components/schemas/Camera_StatusEnum'
        defaultInterface:
          type: string
          description: Default network interface
          example: eth0
          nullable: true
        defaultInterfaceMac:
          type: string
          description: MAC address of default interface
          example: '00:11:22:33:44:55'
          nullable: true
        floorNumber:
          type: integer
          format: int32
          description: Floor number where the camera is located
          example: 1
          nullable: true
        healthStatus:
          $ref: '#/components/schemas/Camera_StatusEnum'
        healthStatusDetails:
          $ref: '#/components/schemas/Camera_HealthStatusDetailsEnum'
        lanAddresses:
          type: array
          description: List of LAN addresses
          items:
            type: string
            description: List of LAN addresses
            nullable: true
          nullable: true
        latitude:
          type: number
          format: double
          description: Latitude coordinate of the camera
          example: 37.7749
          nullable: true
        liveStreamShared:
          type: boolean
          description: Whether live stream is shared
          example: false
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          description: Longitude coordinate of the camera
          example: -122.4194
          nullable: true
        mediaRegion:
          type: string
          description: Media region
          example: us-west-1
          nullable: true
        mummified:
          type: boolean
          description: Whether the camera is mummified
          example: false
          nullable: true
        name:
          type: string
          description: Name of the camera
          example: Front Door Camera
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        region:
          type: string
          description: Camera region
          example: us-west-1
          nullable: true
        serialNumber:
          type: string
          description: Camera serial number
          example: CAM123456789
          nullable: true
        ssid:
          type: string
          description: WiFi SSID
          example: MyNetwork
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        wifiApMac:
          type: string
          description: MAC address of WiFi access point
          example: AA:BB:CC:DD:EE:FF
          nullable: true
        wifiBars:
          type: integer
          format: int32
          description: WiFi signal strength in bars (1-5)
          example: 4
          nullable: true
        wifiSignalStrength:
          type: integer
          format: int32
          description: WiFi signal strength in dBm
          example: -45
          nullable: true
    Camera_StatusEnum:
      type: string
      description: Status enumeration for camera states.
      enum:
        - RED
        - ORANGE
        - GREEN
    Camera_HealthStatusDetailsEnum:
      type: string
      description: Detailed health status enumeration for cameras.
      enum:
        - DISCONNECTED
        - FIRMWARE_BEHIND
        - NONE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````